/**
 * @author monitour
 * created on 27.07.2017
 */
(function() {
  'use strict';

  angular.module('Monitour.pages.profile', [])
    .config(routeConfig);

  /** @ngInject */
  function routeConfig($stateProvider) {
    $stateProvider
      .state('main.profile', {
        url: '/profile',
        title: 'Profile',
        templateUrl: 'app/pages/profile/profile.html',
        controller: 'ProfilePageCtrl',
        controllerAs: 'vm',
        authenticate: true
      })
      .state('main.profile.edit', {
            url: '/prole/edit/:id',
            title: 'Edit client',
            controller: 'editCtrl',
            controllerAs: 'vm',
            templateUrl: 'app/pages/profile/edit/edit.html',
            authenticate: true

        });

  }

})();